/**
 * Javier Abelln, 31 Mayo 2006
 * 
 * Ejemplo para meter, de forma automtica, un ResultSet en un JTable
 */
package chuidiang.ejemplos.base_datos;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;

/**
 * Clase encargada de conexin y consultas a base de datos.
 * @author Chuidiang
 *
 */
public class BaseDeDatos
{
    /** La conexion con la base de datos */
    private Connection conexion = null;

    /** Se establece la conexion con la base de datos */
    public void estableceConexion()
    {
        if (conexion != null)
            return;

        try
        {
            // Se registra el Driver de MySQL
            DriverManager.registerDriver(new com.mysql.jdbc.Driver());

            // Se obtiene una conexin con la base de datos. Hay que
            // cambiar el usuario "usuario" y la clave "" por las
            // adecuadas a la base de datos que estemos usando.
            conexion = DriverManager.getConnection(
                    "jdbc:mysql://localhost/prueba","usuario","");
        } catch (Exception e)
        {
            e.printStackTrace();
        }
    }

    /**
     * Realiza la consulta de personas en la tabla y devuelve el ResultSet
     * correspondiente.
     * @return El resultado de la consulta
     */
    public ResultSet dameListaPersonas()
    {
        ResultSet rs = null;
        try
        {
            // Se crea un Statement, para realizar la consulta
            Statement s = conexion.createStatement();

            // Se realiza la consulta. Los resultados se guardan en el
            // ResultSet rs
            rs = s.executeQuery("select * from persona");
        } catch (Exception e)
        {
            e.printStackTrace();
        }
        return rs;
    }

    /** Cierra la conexin con la base de datos */
    public void cierraConexion()
    {
        try
        {
            conexion.close();
        } catch (Exception e)
        {
            e.printStackTrace();
        }
    }
}
